Page MenuHomePhabricator

References appearing twice in the HTML from cxserver
Closed, ResolvedPublic1 Story Points

Description

Parsoid started to output references in the following format:

<span about="#mwt8" class="mw-ref" id="cite_ref-4" rel="dc:references"
typeof="mw:Extension/ref" data-mw='{"name":"ref","body":{"id":
"mw-reference-text-cite_note-4"},"attrs":{}}'>
        <a href="#cite_note-4" style="counter-reset: mw-Ref 4;">
                <span class="mw-reflink-text">[4]</span>
        </a>
</span>

And, our lineardoc started to wrongly output the content as

<span about="#mwt8" class="mw-ref" id="cite_ref-4" rel="dc:references"
typeof="mw:Extension/ref" data-mw='{"name":"ref","body":{"id":
"mw-reference-text-cite_note-4"},"attrs":{}}'>
        <a href="#cite_note-4" style="counter-reset: mw-Ref 4;">
                <span class="mw-reflink-text">[4]</span>
        </a>
</span>
<a href="#cite_note-4" style="counter-reset: mw-Ref 4;"></a>

The parsoid DOM spec
https://www.mediawiki.org/wiki/Parsoid/MediaWiki_DOM_spec#Ref_and_References
does not seem to reflect this change.

Event Timeline

santhosh claimed this task.
santhosh raised the priority of this task from to High.
santhosh updated the task description. (Show Details)
santhosh added subscribers: santhosh, dchan.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 28 2015, 10:28 AM

Change 227435 had a related patch set uploaded (by Santhosh):
Lineardoc: Fix the reference parsing

https://gerrit.wikimedia.org/r/227435

Is it the same issue as T105603?

Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Jul 28 2015, 6:18 PM
santhosh edited a custom field.Jul 29 2015, 6:47 AM

Change 227435 merged by jenkins-bot:
Lineardoc: Fix the reference parsing

https://gerrit.wikimedia.org/r/227435

Arrbee moved this task from In Review to Done on the LE-CX6-Sprint 1 board.Aug 6 2015, 8:06 AM
Arrbee closed this task as Resolved.Aug 7 2015, 7:04 AM
Arrbee added a subscriber: Arrbee.